PulseAudio 16.1

Data Fields
pa_stat_info Struct Reference

Memory block statistics. More...

`#include <introspect.h>`

## Data Fields
uint32_t | memblock_total
| Currently allocated memory blocks. More...
uint32_t | memblock_total_size
| Current total size of allocated memory blocks. More...
uint32_t | memblock_allocated
| Allocated memory blocks during the whole lifetime of the daemon. More...
uint32_t | memblock_allocated_size
| Total size of all memory blocks allocated during the whole lifetime of the daemon. More...
uint32_t | scache_size
| Total size of all sample cache entries. More...

## Detailed Description

Memory block statistics.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ memblock_allocated

uint32_t pa_stat_info::memblock_allocated

Allocated memory blocks during the whole lifetime of the daemon.

## ◆ memblock_allocated_size

uint32_t pa_stat_info::memblock_allocated_size

Total size of all memory blocks allocated during the whole lifetime of the daemon.

## ◆ memblock_total

uint32_t pa_stat_info::memblock_total

Currently allocated memory blocks.

## ◆ memblock_total_size

uint32_t pa_stat_info::memblock_total_size

Current total size of allocated memory blocks.

## ◆ scache_size

uint32_t pa_stat_info::scache_size

Total size of all sample cache entries.

The documentation for this struct was generated from the following file:

- introspect.h